% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/installConda.R
\name{installConda}
\alias{installConda}
\alias{installConda,character-method}
\alias{installConda,missingOrNULL-method}
\alias{installConda,Session-method}
\title{Installs Miniconda}
\usage{
installConda(session)

\S4method{installConda}{character}(session)

\S4method{installConda}{missingOrNULL}(session)

\S4method{installConda}{Session}(session)
}
\arguments{
\item{session}{\code{\link{Session}} object. If \code{NULL} (default),
\code{session()} will be used}
}
\value{
Invisibly returns \code{TRUE} upon success (i.e.successful
install) and \code{FALSE} upon failure.
}
\description{
This function installs Miniconda to the default installation path
within the SyncroSim installation folder. If you already have Conda
installed in the non-default location, you can point SyncroSim towards
that installation using the \code{\link{condaFilepath}} function.
}
\examples{
\dontrun{
# Install Conda for the default SyncroSim session
installConda()
}

}
